2013-10-31: Version 0.1.40 released

    PNG icons of several sizes, which had been introduced in 0.1.39,
    are now pre-generated so that building Verbiste does not require
    the rsvg-convert command.
    Updated the config.guess and config.sub files to the 2013-06-10
    and 2013-10-01 versions respectively.
    Modernized the use of AC_INIT and AM_INIT_AUTOMAKE in configure.ac,
    which also now uses AC_CONFIG_SRCDIR.
    The configure script now builds the GNOME and GTK+ applications,
    by default, so that the distcheck target checks the src/gnome
    and src/gtk directories properly.

2013-10-28: Version 0.1.39 released

    Fixed conjugation of verbs blasphémer, brumasser, crémer,
    écrémer and luire.
    Removed bogus verb satisfer.
    Fixed manual pages which still mentioned obsolete command-line
    option --utf8.
    Replaced PNG icon with SVG one. PNG icons of several sizes
    are now generated by the install target.

2013-06-28: Version 0.1.38 released

    A conjugation page now shows a link to the Wiktionnaire page
    that is expected to contain the definition of the displayed verb.
    INSTALL and TODO files are not installed anymore.

2013-05-20: Version 0.1.37 released

    A verb can now be passed on the command-line of the GNOME and
    GTK+ applications to have their window display that verb's
    conjugation automatically.
    Updated the manual pages.

2013-04-21: Version 0.1.36 released

    Fixed conjugation of verb "quérir", which is only conjugated
    in the infinitive, unlike "acquérir".
    Fixed conjugation of verb "amu:ïr", which always takes an umlaut.
    Fixed conjugation of verbs "sécher", "assécher" and "déssécher"
    in the indicative future and conditional present tenses.
    Added verb "référencier".
    Fixed generate-all-forms.pl example for UTF-8 and so that it
    does not generate a temporary file anymore. It can still print
    only the infinitive forms if requested with the --inf option.

2012-11-18: Version 0.1.35 released

    Fixed a memory leak where the Trie<T> destructor omitted
    the destructon of the empty key user data.
    Manual pages: replaced UTF-8 characters with ASCII escape
    sequences.

2012-04-28: Version 0.1.34 released

    GNOME Applet is not packaged in the default RPM anymore.
    Added French verbs compoter, concaténer, occire and procrastiner.
    Created new conjugation model for verb harceler, which can be
    conjugated like "appeler" as well as like "peler".
    The user can now add verbs to Verbiste by creating an XML file
    called $HOME/.verbiste/verbs-<language>.xml. See the README or
    LISEZMOI file.

2011-04-03: Version 0.1.33 released

    Fixed errors with verb "chauvir".
    Added French verb "diligenter".
    The command-line tools do not accept Latin-1 input anymore
    (only UTF-8 is accepted now).
    Verbiste now works in UTF-8 and wide characters internally.
    The API has lost its Latin-1 conversion functions.
    RPM spec file rewritten using Fedora template.
    Added missing BuildRequires statement for perl-XML-Parser
    in RPM spec file.

2010-12-19: Version 0.1.32 released

    Added Greek and Danish translations of the graphical user interface.
    Added verbe sursoir.
    Fixed compilation problems related to iconv.h.

2010-08-12: Version 0.1.31 released

    Fixed error with verb "échoir".
    Fixed bug in the GUI where wrongly accented characters would be
    displayed in the resulting conjugation (e.g., typing "etaler"
    would display the conjugation for inexistent verb "etaler",
    instead of the correct verb "étaler" with an acute accent).
    Spelling tolerance slider added to GUI: allows fuzzy matching
    of infinitives.
    Missing single-argument FrenchVerbDictionary constructor restored.
    Added self-check for single-argument FrenchVerbDictionary constructor.
    Fixed doc on FrenchVerbDictionary constructors and destructor.
    Fixed synopsis command line in verbiste.3 manual page.
    Removed 'using namespace std' directive in Trie.cpp, which imposed
    the std namespace on Verbiste client programs.
    Added computeMemoryConsumption() method to Trie class to measure
    RAM usage of this data structure (382 kB for French verbs, excluding
    "user data").
    Separator added between accented character buttons and language
    checkboxes.
    RPM spec file fixed to run texhash when installing -gnome subpackage,
    not the main package. This allows latex to find verbiste.cls.

2010-07-04: Version 0.1.30 released

    Small Italian verb dictionary added (contributed by
    Christophe Durville <http://polyglotte.tuxfamily.org>).
    GUI adjusted to allow language selection.
    Environment variable VERBISTE_LANG used in command-line tools
    to select language.
    Tabs removed from source code (expanded to 8 spaces).
    Fixed compilation warnings to satisfy gcc's -Weffc++ and
    -Wextra options.

2010-04-23: Version 0.1.29 released

    New conjugation template for verb "prévaloir".
    Fixed conjugation of verb "choir".
    Fixed some German user interface labels.
    GUI-like console application added for GUI testing purposes.

2009-10-30: Version 0.1.28 released

    Graphical user interface now tolerates missing accents.
    Buttons added to GUI to facilitate entry of accented characters
    on systems where they are not supported by the keyboard configuration.
    German translation of user interface added (provided by Chris Leick).

2009-10-04: Version 0.1.27 released

    Added --all-infinitives option to french-conjugator and
    french-deconjutator command-line tools, which prints the
    infinitive form of all known verbs to standard output.
    Fixed verb quérir, which gets conjugated like acquérir.
    Fixed template l:éser which contained duplicate inflections
    for the conditional.
    Fixed title of Save As dialog (it mentioned HTML, which is not
    the only save format).
    Added Perl script data/check-data.pl to check some aspects of
    data/conjugation-fr.xml.

2009-07-03: Version 0.1.26 released

    Verb quérir added.
    Saving in LaTeX format now supported. The RPM now runs texhash
    upon installation and uninstallation.
    Several files in this package converted from Latin-1 to UTF-8:
    NEWS (this file), LISEZMOI, examples/README, examples/trans-tenses.pl.
    Slight adjustments to the examples/Makefile.am check target.

2009-03-23: Version 0.1.25 released

    Several verbs added. Total now exceeds 7000.
    Results window size now remembered accross executions.
    Default results window size now wider.
    Setting of the Show Pronouns checkbox now saved only when exiting.
    Result window creation now puts initial focus in the verb text field.
    Removed obsolete AC_FUNC_HASH_MAP macro call from configure.ac
    because Verbiste does not use <hash_map> since 0.1.23.
    Stopped using printf() without a fixed format string,
    for security reasons.
    Improved dynamic memory management by using auto-deleter class
    "Catena" in main-window.cpp.
    XML files converted from Latin-1 (ISO-8859-1) encoding to UTF-8.
    Added self-test that checks infinitives (check-infinitives.pl)
    Configure.ac now checks for the Perl interpreter and associated
    modules to define the Makefile variable PERL. (A new test
    script uses Perl.)
    Fixed several compilation warnings.

2009-02-08: Version 0.1.24 released

    About a hundred missing verbs were added.
    Setting of the Show Pronouns checkbox now remembered accross executions.
    Minor fixes to avoid refering to notebook widget before its creation.
    Minor fix to support parsing (and ignoring) XML comments in the
    verbs-fr.xml file.

2008-06-02: Version 0.1.23 released

    Several errors fixed in the conjugation database.
    Obsolete <hash_map> C++ header replaced with standard <map>.

2008-02-12: Version 0.1.22 released

    Fixed panel applet focus bug.
    The verb "absoudre" does not have a simple past tense anymore.
    Compilation fixes for gcc 4.3.
    GNOME/FreeDesktop category changed in .desktop file from
    Utility to "Office;Dictionary", as per the FreeDesktop standard.
    Encoding key removed from .desktop file because UTF-8 is now
    required and assumed.

2007-08-20: Version 0.1.21 released

    New option --utf8 for the commands french-conjugator and
    french-deconjugator to force them to assume that the terminal
    uses the UTF-8 encoding instead of Latin-1.
    New example script (generate-all-forms.pl) which generates
    all conjugated forms known to Verbiste.

2007-03-11: Version 0.1.20 released

    Fixed error with verbs choir and paître.
    Show Pronouns now automatically updates the display.
    About button now at bottom, with new Close button.
    Window now slightly higher to help avoid vertical scroll bar.
    Converted Save and About buttons to stock GTK+ buttons.
    Fixed keyboard shortcut problem with Show Pronouns button in
    French version.
    Restored a check target in src/gnome/Makefile.am.
    Fixed GNOME and GTK+ check targets so that they test --version
    and --help without a DISPLAY environment variable.
    Fixed GTK+ application so that GTK+ library is not initialized
    if program is called only for --version or --help.
    Fixed configure.ac so that minimum library versions are defined
    independently of which --with options are selected.
    Fixed src/gnome/Makefile.am to make sure that verbiste.server.pre
    is always distributed, no matter which --with options are selected.
    Added --without-examples option to configure script.

2007-01-09: Version 0.1.19 released

    Fixed the .desktop file so that Verbiste appears in the menus.
    Fixed RPM generation so that the .desktop file appears in it again.

2007-01-03: Version 0.1.18 released

    Removed duplicate entries in verbs-fr.xml for the verbs
    recueillir, réverbérer, revercher, reverdir.
    Added a compile-time test to detect such duplicates in the future.
    Fixed error with past participle of falloir.

2006-10-29: Version 0.1.17 released

    Added verb réguler.
    The graphical application can now be optionally compiled with
    GTK+ only (version 2.6 or later) instead of using GNOME.
    The About dialog now offers a button to display the license text.
    RPM spec file now produces packages containing stripped executables;
    the .mo and .png files are now in the -gnome package, because they are
    not useful in the others.
    Gettext upgraded from 0.11.5 to 0.14.5.

2006-08-25: Version 0.1.16 released

    New "Save" button to write the current conjugation to an HTML file.
    Fixed a source code portability problem concerning iconv(3) under
    FreeBSD by using the ICONV_CONST macro.

2006-07-08: Version 0.1.15 released

    Added support for UTF-8 terminals and command lines.
    Configure script now requires presence of <langinfo.h> header.
    Adapted a makefile (src/gnome/Makefile.am) to the new version
    of GNU Make (3.81), which treats backslash terminated lines
    differently.

2005-12-10: Version 0.1.14 released

    Fixed error in subjunctive present tense of "s:avoir"
    conjugation template.

2005-10-10: Version 0.1.13 released

    Fixed error in present conditional tense of "men:tir"
    conjugation template.

2005-09-22: Version 0.1.12 released

    Added verbs dissoudre, autodissoudre.
    Fixed error in imperfect tense of "men:tir" conjugation template.

2005-04-22: Version 0.1.11 released

    Fixed errors concerning these verbs: absoudre, amortir,
    contredire, inclure, médire, occlure.
    Fixed linking problem in some Makefile.am files.
    Fixed bug in GNOME app where resulting notebook with two pages
    displayed contents of second page in the first one.
    Fixed bug in GNOME app where red marking did not appear in some
    circumstances.

2005-03-12: Version 0.1.10 released

    The pronouns can now be shown.
    New <aspirate-h/> tag used in verbs-fr.xml to mark verbs that
    begin with an aspirate h (e.g., je hache: aspirate h; j'habite:
    silent h).  Support for this in the library, the GNOME interface
    and the command-line tools.
    New Conjugate button in the GNOME interface (equivalent to
    pressing Enter).
    .desktop file now only installed when --with-gnome is specified.
    mkinstalldirs file now included in the source distribution.
    New script in the examples directory: trans-tenses.pl
    Added verb "houssiner".
    Manual pages now encoded in UTF-8 (instead of Latin-1).

2004-03-24: Version 0.1.9 released

    New template: "pl:aire" for the verbs plaire, déplaire and complaire
    (they previously used the slightly different template "t:aire",
    which differs in the 3rd person of the indicative present: il tait,
    il plaît).
    Initializing the FrenchVerbDictionary object no longer requires
    the caller to provide the filenames of the XML data files.
    The misc-types.h header file is now installed with the other
    header files.

2004-02-09: Version 0.1.8 released

    Verbs added: ester, récalcitrer.
    Template "p:ayer" cleaned up and renamed "pa:yer".
    Templates "s:avoir" and ":être" fixed.
    New command in the applet's context menu that empties the text field.
    Icon now set correctly in the main window and in the About dialog.
    Main window can now be closed with Ctrl-W.
    New HACKING file describes how to add verbs to Verbiste and
    gives an overview of some of the library's functionalities.
    More work on the C API.

2003-10-14: Version 0.1.7 released

    Added the verbs "pluraliser" and "crinquer".

    Some of the Fedora RPM guidelines have been applied.  The RPM
    spec file was modified to use the %configure macros; the
    manual pages are now under /usr/share/man instead of /usr/man.
    The .desktop file now uses the X-Red-Hat-Extra category instead
    of X-Red-Hat-Base.  Other changes have been made to (try to)
    accommodate Mandrake distributions.

    Re-hacked the hash_map portability kluge.  No -idirafter directive
    should be needed anymore, hopefully.

    Stopped defining libdatadir in configure.ac, which created problems
    when make install would install in the 'NONE' subdirectory instead
    of the normal default, /usr/local.

    AC_DISABLE_STATIC in configure.ac avoids building the static
    library by default.

    Applet title changed to avoid using the "applet" term.

    A C API is in the works.

2003-09-25: Version 0.1.6 released

    Fixed an error in data/conjugation-fr.xml with the "condui:re"
    template: the plural of the imperfect subjunctive was wrong.
    This affects 22 verbs.
    Added the new verb "clavarder".

2003-09-15: Version 0.1.5 released

    Command-line tools and graphical user interface now accept
    upper-case words.
    Slightly more documentation in the sources.

2003-07-31: Version 0.1.4 released

    Applet now clears its text field after the user presses Enter.
    A few internationalization problems fixed.
    New template: "saill:ir" (for the two meanings of "saillir").
    A few verbs added or fixed.
    File in the verbiste-gnome RPM now owned by root instead of ps.

2003-07-24: Version 0.1.3 released

    GNOME application and Panel applet added (compiled optionally).
    New templates: "p:eser", "rec:eper", "rec:éper".
    Several verbs added or fixed.
    Verb loading procedure now slightly more efficient.

2003-06-14: Version 0.1.2 released

    New templates: "héb:éter", "imp:étrer", "r:égner", "cél:ébrer",
    "int:égrer", "pourv:oir".  Verb "ouïr" fixed.  A few verbs added.

    The sources now compile under g++ 2.95.3 and g++ 2.96.

2003-06-04: Version 0.1.1 released

    New templates "forclo:re","fou:tre", "o:uïr" and "grasse:yer" added.
    Typo fixed with verb "aliéner".

    The conjugation system was augmented to represent the feminine
    and plural forms of the past participle tense.  See the
    french-deconjugator(1) and french-conjugator(1) manual pages.

    The french-conjugator(1) now has options to request a specific
    mode and tense.

    Rows in the trie now implemented as vectors instead of hashes,
    since they only contain 1.4 elements on average.  There are about
    18800 rows in the trie at this time, so that made a difference:
    the french-deconjugator command now takes 9 megs of RAM on my
    system instead of 19 megs.  Also, the trie is deleted, since its
    destruction time is now much shorter.

    French manual page verbiste.3 now correctly installed in
    $(mandir)/fr/man3 instead of $(mandir)/fr/man1.

    Macro and environment variable PKGDATADIR renamed LIBDATADIR.

    XML data files in $prefix/share/verbiste-0.1 instead of
    $prefix/share/verbiste.

    RPM .spec.in file renamed to mention -0.1 in the new name.

2003-05-29: Version 0.1.0 released

    First public release.

